
QGIS Application - Bug report #20756

QGIS 3.4.2 crashing

2018-12-07 11:07 PM - Antal Kosza

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.2 Regression?: No

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28576

Description

Qgis crash on zoom out.

....

Thread 28 "Thread (pooled)" received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffa1ffe700 (LWP 7341)]

0x00007ffff45a0596 in QgsCurve::orientation (this=0x0) at ../../src/core/geometry/qgscurve.cpp:220

220     ../../src/core/geometry/qgscurve.cpp: Nincs ilyen fájl vagy könyvtár.

(gdb) bt

#0  0x00007ffff45a0596 in QgsCurve::orientation (this=0x0) at ../../src/core/geometry/qgscurve.cpp:220

#1  0x00007ffff45ac4ae in QgsGeometry::offsetCurve (this=0x7fffa1ffc340, distance=-7.559055118110237, segments=0,

joinStyle=QgsGeometry::JoinStyleMiter, miterLimit=2) at ../../src/core/geometry/qgsgeometry.cpp:1808

#2  0x00007ffff3d5d582 in offsetLine (polyline=..., dist=-7.559055118110237, geometryType=QgsWkbTypes::LineGeometry) at

../../src/core/symbology/qgssymbollayerutils.cpp:841

#3  0x00007ffff3cd4c78 in QgsMarkerLineSymbolLayer::renderPolyline (this=0x55555bef9ef0, points=..., context=...) at

../../src/core/symbology/qgslinesymbollayer.cpp:923

#4  0x00007ffff3d8c2f7 in QgsLineSymbol::renderPolylineUsingLayer (this=0x555556bd0f20, layer=0x55555bef9ef0, points=...,

context=...) at ../../src/core/symbology/qgssymbol.cpp:1793

#5  0x00007ffff3d8bf80 in QgsLineSymbol::renderPolyline (this=0x555556bd0f20, points=..., f=0x7fffa1ffc940, context=..., layerIdx=-1,

selected=false) at ../../src/core/symbology/qgssymbol.cpp:1767

#6  0x00007ffff3d86650 in QgsSymbol::renderFeature (this=0x555556bd0f20, feature=..., context=..., layer=-1, selected=false,

drawVertexMarker=false, currentVertexMarkerType=1, currentVertexMarkerSize=3)

    at ../../src/core/symbology/qgssymbol.cpp:931

#7  0x00007ffff3d0a222 in QgsFeatureRenderer::renderFeatureWithSymbol (this=0x55555abb0490, feature=...,

symbol=0x555556bd0f20, context=..., layer=-1, selected=false, drawVertexMarker=false)

    at ../../src/core/symbology/qgsrenderer.cpp:134

#8  0x00007ffff3d0a1b4 in QgsFeatureRenderer::renderFeature (this=0x55555abb0490, feature=..., context=..., layer=-1, selected=false,

drawVertexMarker=false) at ../../src/core/symbology/qgsrenderer.cpp:128

#9  0x00007ffff4348c0f in QgsVectorLayerRenderer::drawRenderer (this=0x555556b5b670, fit=...) at

../../src/core/qgsvectorlayerrenderer.cpp:283

#10 0x00007ffff4348409 in QgsVectorLayerRenderer::render (this=0x555556b5b670) at ../../src/core/qgsvectorlayerrenderer.cpp:247

#11 0x00007ffff410d1d1 in QgsMapRendererParallelJob::renderLayerStatic (job=...) at ../../src/core/qgsmaprendererparalleljob.cpp:256

#12 0x00007ffff410ebc4 in QtConcurrent::FunctionWrapper1<void, LayerRenderJob&>::operator() (this=0x5555561a2bc8, u=...) at

/usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentfunctionwrappers.h:80

#13 0x00007ffff410e8fd in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator, QtConcurrent::FunctionWrapper1<void,

LayerRenderJob&> >::runIteration (this=0x5555561a2b90, it=...)

    at /usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentmapkernel.h:68

#14 0x00007ffff410e99c in QtConcurrent::MapKernel<QList<LayerRenderJob>::iterator, QtConcurrent::FunctionWrapper1<void,

LayerRenderJob&> >::runIterations (this=0x5555561a2b90, sequenceBeginIterator=..., beginIndex=4, endIndex=5)

    at /usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentmapkernel.h:77
#15 0x00007ffff410ee5e in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::forThreadFunction

(this=0x5555561a2b90) at /usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentiteratekernel.h:255

#16 0x00007ffff410eb2e in QtConcurrent::IterateKernel<QList<LayerRenderJob>::iterator, void>::threadFunction

(this=0x5555561a2b90) at /usr/include/x86_64-linux-gnu/qt5/QtConcurrent/qtconcurrentiteratekernel.h:217

#17 0x00007ffff0100a4d in QtConcurrent::ThreadEngineBase::run() () from /lib/x86_64-linux-gnu/libQt5Concurrent.so.5

#18 0x00007fffecf5ff81 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#19 0x00007fffecf67c97 in ?? () from /lib/x86_64-linux-gnu/libQt5Core.so.5

#20 0x00007fffec8a6f2a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0

#21 0x00007fffec9b7edf in clone () from /lib/x86_64-linux-gnu/libc.so.6

(gdb)

My system:

Debian Buster

QGIS verzió 3.4.2-Madeira

QGIS kód változat a4e22eec10

Qt 5.11.2

GDAL/OGR 2.3.2

GEOS 3.7.0-CAPI-1.11.0

PostgreSQL 11.1 (Debian 11.1-1+b2)

SpatiaLite 4.3.0a

OWT 6.1.3

QScintilla2 2.10.4

PROJ 5.2.0

Associated revisions

Revision 933df668 - 2018-12-08 01:21 AM - Nyall Dawson

Fix crash when calculating offset on certain single curves which become multilinestrings when offset

(cherry picked from commit 34c217cd4649fdf132b94aee4d66bfa8c2ea93f7)

Fixes #20756

History

#1 - 2018-12-08 01:20 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|933df6684bb761cc144c44cf49289cc7dc63b7a8.
